package org.wfc.omada.api.globalsetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * LicenseAutoRenewOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:48:54.878+08:00[Asia/Shanghai]")

public class LicenseAutoRenewOpenApiVo   {
  @JsonProperty("autoRenew")
  private Boolean autoRenew;

  public LicenseAutoRenewOpenApiVo autoRenew(Boolean autoRenew) {
    this.autoRenew = autoRenew;
    return this;
  }

  /**
   * Auto-Renewal,the licenses for active devices will be automatically renewed when they expire.
   * @return autoRenew
  */
  @ApiModelProperty(required = true, value = "Auto-Renewal,the licenses for active devices will be automatically renewed when they expire.")
  @NotNull


  public Boolean getAutoRenew() {
    return autoRenew;
  }

  public void setAutoRenew(Boolean autoRenew) {
    this.autoRenew = autoRenew;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LicenseAutoRenewOpenApiVo licenseAutoRenewOpenApiVo = (LicenseAutoRenewOpenApiVo) o;
    return Objects.equals(this.autoRenew, licenseAutoRenewOpenApiVo.autoRenew);
  }

  @Override
  public int hashCode() {
    return Objects.hash(autoRenew);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LicenseAutoRenewOpenApiVo {\n");
    
    sb.append("    autoRenew: ").append(toIndentedString(autoRenew)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

